module Redoxed
  class PromptUndetect < RedoxedError; end
  class Input
    include Redoxed::Config::Vars

    RescueFail = {
      debug: [
        Errno::ECONNREFUSED
      ],
      warn:  [
        IOError,
        PromptUndetect,
        Timeout::Error,
        Errno::ECONNRESET,
        Errno::EHOSTUNREACH,
        Errno::ENETUNREACH,
        Errno::EPIPE,
        Errno::ETIMEDOUT
      ]
    }.freeze
  end
end
