module Redoxed::Config::Vars
  # convenience method for accessing node, group or global level user variables
  def vars(name)
    if @node.vars&.has_key?(name)
      @node.vars[name]
    elsif Redoxed.config.groups.has_key?(@node.group) && Redoxed.config.groups[@node.group].vars.has_key?(name.to_s)
      Redoxed.config.groups[@node.group].vars[name.to_s]
    elsif Redoxed.config.models.has_key(@node.model.class.name.to_s.downcase) && Redoxed.config.models[@node.model.class.name.to_s.downcase].vars.has_key?(name.to_s)
      Redoxed.config.models[@node.model.class.name.to_s.downcase].vars[name.to_s]
    elsif Redoxed.config.vars.has_key?(name.to_s)
      Redoxed.config.vars[name.to_s]
    end
  end
end
